<?php
//PInicialitzem els fitxers de PHPMailer
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'path/to/PHPMailer/src/Exception.php';
require 'path/to/PHPMailer/src/PHPMailer.php';
require 'path/to/PHPMailer/src/SMTP.php';

//Incloem paràmetres de la newsletter
include("config.inc");
function trim_value($a) {
    $a = trim($a);
    return $a;
}

$per = "";

// Agafa el missatge i el poses en un string
$missatge = file_get_contents($html_missatge);

//Recupera ls adreces de correu, treu espais en blanc i posa'ls en una cadena
$correus = file($correus_fitxer);
$correusnets = array_map('trim',$correus);
$correus_trossejats = array_chunk($correusnets,20);

$mailsenviats = 0;
$numerodemail = 1;

//Si vols fer un mail de prova, posa això en true. Si no, posa-ho false
$maildeprova = false;

//Crea encapçalaments

//$headers .= 'Cc: Unitat de Promoció i Comunicació de la FUAB <promocio.fuab@uab.cat>' . "\r\n";

if ($maildeprova === true) {
  //Fem els encapçalaments
  $headers = "MIME-Version: 1.0" . "\r\n";
  $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
  $headers .= 'From: Unitat de Promoció i Comunicació de la FUAB <promocio.fuab@uab.cat>' . "\r\n";
  //Posem els destinataris del correu de prova
  //$headers .= 'Bcc: enric.pineda@uab.cat, sara.centellas@uab.cat, victoria.salvador@uab.cat, esther.crespo@uab.cat'."\r\n";
  $headers .= 'Bcc: enric.pineda@uab.cat'."\r\n";

  //Posem un PROVA al començament del tema
  $temaprova = "[PROVA] ".$tema;
  //Enviem el correu
  mail($per,$temaprova,$missatge,$headers);
  echo "Correu de prova enviat";
} else {
  //Ara no és un correu de prova
  foreach ($correus_trossejats as $correusfinals){
    //Fem els encapçalaments
    $headers = "MIME-Version: 1.0" . "\r\n";
    $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
    $headers .= 'From: Unitat de Promoció i Comunicació de la FUAB <promocio.fuab@uab.cat>' . "\r\n";
    $correus_final = implode(", ", $correusfinals);
    $headers .= 'Bcc: '.$correus_final."\r\n";

    //Envia el correu

    mail($per,$tema,$missatge,$headers);
  	$mailsenviats++;
  	echo "Correu número $numerodemail enviat <br />";

    //echo $headers."<hr>";

    $numerodemail++;
  }
}

// Descomentar per bug check
//echo $headers;
//print_r($correus_trossejats);
if ($maildeprova !== true){
echo "Hem enviat un total de $mailsenviats correus a un total de ".count($correusnets)." persones<br />";
echo "End Of Line!";
}
?>
